/*
**********************************************************************************
*  2014 Microchip Technology Inc. and its subsidiaries.
* You may use this software and any derivatives exclusively with
* Microchip products.
* THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".
* NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE,
* INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY,
* AND FITNESS FOR A PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP
* PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.
* IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
* INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
* WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
* BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.
* TO THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL
* CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF
* FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
* MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE
* OF THESE TERMS.
**********************************************************************************
*  SpiTest.h
*   Header file for the sample/test code of SPI Interface
*
**********************************************************************************
*  $Revision: #1 $  $DateTime: 2014/05/14 12:20:09 $  $    $
*  Description: initial version
**********************************************************************************
* $File:  
*/
#include "MchpUSBInterface.h"

#define UPLOAD_FW_INDEX		5
#define MAX_READ_SIZE	0x205

#define MFR_ID_ATMEL		0x1F
#define MFR_ID_SST			0xBF
#define MFR_ID_WINBOND		0xEF
#define MFR_ID_ENDOFLIST	0xFF

#define	WINDBOND_MEMORY_TYPE	0x30
#define	WINBOND_CAPACITY_1		0x11
#define	WINBOND_CAPACITY_2		0x12
#define	WINBOND_CAPACITY_3		0x13
#define	WINBOND_CAPACITY_4		0x14

#define AT25DF161_DEVICE_ID_1	0x46
#define AT25DF161_DEVICE_ID_2	0x02
#define AT26DF081A_DEVICE_ID_1	0x45
#define AT26DF081A_DEVICE_ID_2	0x01

// Device IDs of SST
#define	MEMORY_TYPE_SST_SPIFLASH 0x25
#define DEVICE_ID_SST25VF064C	0x4B

typedef struct tagSPICmdInfo {
		BOOL bDirection;
		PBYTE pbyBuffer;
		WORD wDataLen;
		WORD wTotalLength;

} SPI_CMDINFO, *PSPI_CMDINFO;

/*
*	Runs SPI Tests which reads manufacturer ID
*	of SPI flash
*/
MCHP_USB_ERROR RunSPITests();

/*
*	Sample code to Enter/Exit and Write/Read to SPI
*	flash using MchpUsb2530 SPI Interface APIs
*/
MCHP_USB_ERROR ReadSPIFlashManufactureID(HANDLE hndl);
