/*
**********************************************************************************
*  2014 Microchip Technology Inc. and its subsidiaries.
* You may use this software and any derivatives exclusively with
* Microchip products.
* THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".
* NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE,
* INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY,
* AND FITNESS FOR A PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP
* PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.
* IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
* INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
* WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
* BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.
* TO THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL
* CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF
* FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
* MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE
* OF THESE TERMS.
**********************************************************************************
*  USBSDKTestApp.cpp
*   This file gives the sample code/ test code for using MchpUSB2530 API
*	Interface.
**********************************************************************************
*  $Revision: #1 $  $DateTime: 2014/03/17 18:04:00 $  $    $
*  Description: initial version
**********************************************************************************
* $File:  
*/
#include "stdafx.h"
#include "SpiTest.h"
#include "UartTest.h"
#include "i2cTest.h"
#include "GpioTest.h"

void Test_COMMON_OTP_RAM_XDATA_FLEX();

/*
*	Main function from which various ample functions
*   can be called to test MchpUSB2530 APIs
*/
int _tmain(int argc, _TCHAR* argv[])
{
	MCHP_USB_ERROR error = MCHP_USB_ERROR::MCHP_Error_Success;
	char ch;
	
	/*
	*	1.  I2C Module
	*		Use RunI2CTests() included I2CTest.h for running basic i2c test scripts
	*		For more samples refer i2ctest.h
	*
	*	2.  SPI Module
	*		Use RunSPITests() included SPITest.h for running basic SPI test scripts
	*		For more samples refer SPITest.h
	*
	*	3.  UART Module
	*		Use RunUARTTests() included UartTest.h for running basic UART test scripts
	*		For more samples refer UartTest.h
	*
	*	4.  GPIO Module
	*		Use RunGpioTests() included GpioTest.h for running basic GPIO test scripts
	*		For more samples refer GpioTest.h
	*
	*	5.  Other Modules
	*		Use Test_COMMON_OTP_RAM_XDATA_FLEX() included OTPCmnXdataRamTest.h for running basic test scripts
	*		for remaining modules
	*		For more samples refer OTPCmnXdataRamTest.h
	*
	*/
	error = RunI2CTests();

	scanf("%d", &ch);
	return 0;
}


